import React from 'react';
import { LegacyComponentLog } from '@teambit/legacy-component-log';
import { LaneModel } from '@teambit/lanes.ui.models.lanes-model';
import { VersionProps } from './version-dropdown-placeholder';
export declare const LOCAL_VERSION = "workspace";
export declare type DropdownComponentVersion = Partial<LegacyComponentLog> & {
    version: string;
};
export declare type UseComponentDropdownVersionsResult = {
    tags?: DropdownComponentVersion[];
    snaps?: DropdownComponentVersion[];
    loading?: boolean;
};
export declare type UseComponentDropdownVersionsProps = {
    skip?: boolean;
};
export declare type UseComponentDropdownVersions = (props?: UseComponentDropdownVersionsProps) => UseComponentDropdownVersionsResult;
export declare type GetActiveTabIndex = (currentVersion?: string, tabs?: Array<VersionMenuTab>, tags?: DropdownComponentVersion[], snaps?: DropdownComponentVersion[], currentLane?: LaneModel) => number;
export declare type VersionDropdownProps = {
    localVersion?: boolean;
    latestVersion?: string;
    currentVersion: string;
    useCurrentVersionLog?: (props?: {
        skip?: boolean;
        version?: string;
    }) => DropdownComponentVersion | undefined;
    hasMoreVersions?: boolean;
    loading?: boolean;
    useComponentVersions?: UseComponentDropdownVersions;
    currentLane?: LaneModel;
    lanes?: LaneModel[];
    getActiveTabIndex?: GetActiveTabIndex;
    overrideVersionHref?: (version: string) => string;
    placeholderClassName?: string;
    dropdownClassName?: string;
    menuClassName?: string;
    showVersionDetails?: boolean;
    disabled?: boolean;
    PlaceholderComponent?: React.ComponentType<VersionProps>;
} & React.HTMLAttributes<HTMLDivElement>;
export declare const VersionDropdown: React.MemoExoticComponent<typeof _VersionDropdown>;
declare function _VersionDropdown({ currentVersion, latestVersion, localVersion, useCurrentVersionLog, hasMoreVersions, loading, overrideVersionHref, className, placeholderClassName, getActiveTabIndex, dropdownClassName, menuClassName, showVersionDetails, disabled, PlaceholderComponent: _PlaceholderComponent, currentLane, useComponentVersions, lanes, ...rest }: VersionDropdownProps): React.JSX.Element;
export declare type VersionMenuTab = {
    name: 'SNAP';
    payload: DropdownComponentVersion[];
} | {
    name: 'LANE';
    payload: LaneModel[];
} | {
    name: 'TAG';
    payload: DropdownComponentVersion[];
};
export {};
